weka.classifiers.trees.lmt

## Class ResidualModelSelection

- java.lang.Object
- - weka.classifiers.trees.j48.ModelSelection
  - - weka.classifiers.trees.lmt.ResidualModelSelection

- All Implemented Interfaces:
    java.io.Serializable, RevisionHandler

      public class ResidualModelSelection
      extends ModelSelection

  Helper class for logistic model trees (weka.classifiers.trees.lmt.LMT) to implement the splitting criterion based on residuals.
  Version:
    $Revision: 8034 $
  Author:
    Niels Landwehr
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResidualModelSelection(int minNumInstances)` Constructor to create ResidualModelSelection object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanup()` Method not in use
    `java.lang.String` | `getRevision()` Returns the revision string.
    `ClassifierSplitModel` | `selectModel(Instances train)` Method not in use
    `ClassifierSplitModel` | `selectModel(Instances data, double[][] dataZs, double[][] dataWs)` Selects split based on residuals for the given dataset.
    `ClassifierSplitModel` | `selectModel(Instances train, Instances test)` Method not in use

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResidualModelSelection

          public ResidualModelSelection(int minNumInstances)

      Constructor to create ResidualModelSelection object.
      Parameters:
        `minNumInstances` - minimum number of instances for leaves

  - ### Method Detail

    - #### cleanup

          public void cleanup()

      Method not in use

    - #### selectModel

          public final ClassifierSplitModel selectModel(Instances data,
                                                        double[][] dataZs,
                                                        double[][] dataWs)
                                                 throws java.lang.Exception

      Selects split based on residuals for the given dataset.
      Throws:
        `java.lang.Exception`

    - #### selectModel

          public final ClassifierSplitModel selectModel(Instances train)

      Method not in use
      Specified by:
        `selectModel` in class `ModelSelection`

    - #### selectModel

          public final ClassifierSplitModel selectModel(Instances train,
                                                        Instances test)

      Method not in use
      Overrides:
        `selectModel` in class `ModelSelection`

    - #### getRevision

          public java.lang.String getRevision()

      Returns the revision string.
      Returns:
        the revision